#include <alloc.h>
#include <stdio.h>
#include "define.h"
#include "buffers.h"
#include "tools.h"

//--------------------------------------------------------------------------
//------ Lire le fichier SYSTEM\DXNET.CFG ----------------------------------
//--------------------------------------------------------------------------
void CONFIG_init(void)
{
  FILE *fPtr;
  char	sLine[256];

  //------ Ouvrir le fichier de configuration ------
  fPtr = fopen(DXNET_FILE, "rt");

  if( ! fPtr )
    return;

  while( 1 )
  {
    if( ! fgets(sLine, 255, fPtr) )
    {
      fclose( fPtr );
      return;				//Termin ...
    }/*End IF*/

#ifdef LINUX
      TOOLS_removeR( sLine );		//Sous linux, un fichier DOS peut contenir '\r'
#endif
      TOOLS_N2R( sLine );		//Mais pas sous DOS


    if( sLine[0] != '\r' )		//Inutile de bufferiser une ligne vide
      BUFFERS_addBuff(BUFFER_SCREEN1, sLine, IN);
  }/*End WHILE*/
}