#define NODE_levelHere		1
#define NODE_levelNoHere	0
#define NODE_levelConf		2
#define NODE_levelNoConf	0

#define NODE_USER_ADDOK		0
#define NODE_USER_DELETEOK	0
#define NODE_USER_NOCALL	1
#define NODE_USER_NODEUNKOWN	2
#define NODE_USER_FULL		3
#define NODE_USER_USERUNKOWN	4
#define NODE_USER_DUPE		5

#define NODE_LOCALCONNECT	0

#define NODE_SSID		6
#define NODE_FLAG		10

#define	ANODE_MAX		67	//Nombre de structures par handler
#define	ANODE_CLUSTERPOS	0	//Position de la structure CallSign du cluster
#define ANODE_VERSIONPOS	1	//Position du numro de version de ce cluster
#define ANODE_USERCOUNT		2	//Usercount (PC50)
#define ANODE_FIRSTUSERPOS	3	//Position de la structure du premier utilisateur
#define ANODE_LASTUSERPOS	66	//Position de la structure du dernier utilisateur
#define ANODE_USEROFFSET	2	//Offset entre le numero du stream et la position de l'utilisateur dans la table

#define NODE_MAXANODE		200	//Nombre de cluster par stream

#define NODE_CHECKSSID_YES	1	//Utilises par la fonction searchUser
#define NODE_CHECKSSID_NO	0

typedef struct
{
  char	sCallSign[7];
  char	cSSID;
  char	cFlag;
} tANode;

void	NODE_init(void);
int 	NODE_cutOffSsid(char * WithoutSSID, char * pszWithSSID);
int 	NODE_newNode(int StreamNum, char * NodeCall, int Version, char Flag);
int 	NODE_searchNode(int StreamNum, char * NodeCall);
int 	NODE_deleteNode(int StreamNum, char * NodeCall);
char   *NODE_getNodeCall(int StreamNum, int NodePos, char * NodeCall);
void    NODE_myNodeCall(char * NodeCall);
int 	NODE_isNodeConnected(char * NodeCall, int * StreamOfNode, int * Nodepos);
char   *NODE_getNodeVersion(int StreamNum, int Pos, char * Version);
int 	NODE_newUser(int StreamNum, int ConnectedStream, char * NodeCall, char * UserCall, char Flag);
char   *NODE_getUserCall(int NodeStreamNum, int NodePos, int UserPos, char * UserCall);
int     NODE_deleteUser(int StreamNum, char * NodeCall, char * UserCall);
int 	NODE_searchUser(char * UserCall, int CheckSSID, char * NodeCall);
int 	NODE_searchUser(char * NodeCall, char * UserCall, int CheckSSID, int * StreamOfNode, int * NodePos, int * UserPos);
void 	NODE_getConfig(int & Nodes, int & LocalUsers, int & TotalUsers, int & MaxUsers);
void	NODE_setConfig(void);
int 	NODE_setMaxUsers(int MaxUsers);
int 	NODE_setUserFlag(char * NodeCall, char * UserCall, char Flag);
int     NODE_isNodeConnected(char * NodeCall, int * StreamOfNode, int * NodePos);
int  	NODE_isNodeConnected(char * NodeCall);
int 	NODE_getUserCount(int iStreamOfNode, char * NodeCall);
void 	NODE_setUserCount(int iStreamOfNode, char * NodeCall, int shUserCount);

char NODE_getNodeFlag(int StreamNum, int Pos);
char NODE_getUserFlag(int StreamNum, int StreamPos, int Pos);
char NODE_getUserFlag(char * NodeCall, char * UserCall);
